OpenNMS API 1.2.9

## org.opennms.netmgt.collectd
Class MibObject

    java.lang.Object
      org.opennms.netmgt.collectd.MibObject

public class MibObject
extends java.lang.Object

This class is responsible for holding information about a particular MIB object parsed from the DataCollection.xml file.

Version:
  1.1.1.1
Author:
  Mike , OpenNMS

Field Summary
`static java.lang.String` `INSTANCE_IFADDRESS` Indicates that the interface's IP address is to be appended to the object's oid.
`static java.lang.String` `INSTANCE_IFINDEX` Indicates that the interface's 'ifIndex' value from the 'ipInterface' table of the database should be appended to the object's oid.
`private java.lang.String` `m_alias` Object's alias (e.g., "sysDescription").
`private java.lang.String` `m_instance` Object's instance to be retrieved.
`private java.lang.String` `m_maxval` Object's maximum value.
`private java.lang.String` `m_minval` Object's minimum value.
`private java.lang.String` `m_oid` Object's identifier in dotted-decimal notation (e.g, ".1.3.6.1.2.1.1.1").
`private java.lang.String` `m_type` Object's expected data type.
`private boolean` `tabular` True if this object resides in a table.

Constructor Summary
`MibObject()` Constructor

Method Summary
`boolean` `equals(java.lang.Object object)` This method is responsible for comparing this MibObject with the passed Object to determine if they are equivalent.
`java.lang.String` `getAlias()` Returns the object's alias.
`java.lang.String` `getInstance()` Returns the instance string associated with the object.
`java.lang.String` `getMaxval()` Returns the object's maximum value.
`java.lang.String` `getMinval()` Returns the object's minimum value.
`java.lang.String` `getOid()` Returns the object's identifier.
`java.lang.String` `getType()` Returns the object's data type.
`void` `setAlias(java.lang.String alias)` This method is used to assign the object's alias.
`void` `setInstance(java.lang.String instance)` This method is used to specify the object's instance to be retrieved.
`void` `setMaxval(java.lang.String maxval)` This method is used to assign the object's maximum value.
`void` `setMinval(java.lang.String minval)` This method is used to assign the object's minimum value.
`void` `setOid(java.lang.String oid)` This method is used to assign the object's identifier.
`void` `setType(java.lang.String type)` This method is used to assign the object's expected data type.
`java.lang.String` `toString()` This method is responsible for returning a String object which represents the content of this MibObject.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_oid

    private java.lang.String m_oid

  Object's identifier in dotted-decimal notation (e.g, ".1.3.6.1.2.1.1.1").

### m_alias

    private java.lang.String m_alias

  Object's alias (e.g., "sysDescription").

### m_type

    private java.lang.String m_type

  Object's expected data type.

### m_maxval

    private java.lang.String m_maxval

  Object's maximum value.

### m_minval

    private java.lang.String m_minval

  Object's minimum value.

### tabular

    private boolean tabular

  True if this object resides in a table.

### m_instance

    private java.lang.String m_instance

  Object's instance to be retrieved. Indicates a value to be appended to the objects' oid string prior to issuing an SNMP GET request. decimal value: instance of object to retrieve (value is appended to the objects oid string) keyword value: currently supported keywords are "ifIndex" and "ifAddress".

  See Also:
    `INSTANCE_IFINDEX`, `INSTANCE_IFADDRESS`

### INSTANCE_IFINDEX

    public static final java.lang.String INSTANCE_IFINDEX

  Indicates that the interface's 'ifIndex' value from the 'ipInterface' table of the database should be appended to the object's oid.

  See Also:
    Constant Field Values

### INSTANCE_IFADDRESS

    public static final java.lang.String INSTANCE_IFADDRESS

  Indicates that the interface's IP address is to be appended to the object's oid.

  See Also:
    Constant Field Values

Constructor Detail

### MibObject

    public MibObject()

  Constructor

Method Detail

### setOid

    public void setOid(java.lang.String oid)

  This method is used to assign the object's identifier.

  Parameters:
    `oid` - - object identifier in dotted decimal notation (e.g., ".1.3.6.1.2.1.1.1")

### setAlias

    public void setAlias(java.lang.String alias)

  This method is used to assign the object's alias.

  Parameters:
    `alias` - - object alias (e.g., "sysDescription")

### setType

    public void setType(java.lang.String type)

  This method is used to assign the object's expected data type.

  Parameters:
    `type` - - object's data type

### setMaxval

    public void setMaxval(java.lang.String maxval)

  This method is used to assign the object's maximum value.

  Parameters:
    `maxval` - object's maximum value

### setMinval

    public void setMinval(java.lang.String minval)

  This method is used to assign the object's minimum value.

  Parameters:
    `minval` - object's minimum value

### setInstance

    public void setInstance(java.lang.String instance)

  This method is used to specify the object's instance to be retrieved. The instance specified here will be dereferenced if necessary and appended to the object's identifier string. Valid instance values are keywords such as "ifIndex" and "ifAddress" or numeric values such as "0" or "99". Numeric values will simply be appended to the objects identifer as-is while keyword values will be dereferenced and will be assigned a valued which is dependent on the SNMP agent's IP address.

  See Also:
    `INSTANCE_IFINDEX`, `INSTANCE_IFADDRESS`

### getOid

    public java.lang.String getOid()

  Returns the object's identifier.

  Returns:
    The object's identifier string.

### getMaxval

    public java.lang.String getMaxval()

  Returns the object's maximum value.

  Returns:
    The object's maxval.

### getMinval

    public java.lang.String getMinval()

  Returns the object's minimum value.

  Returns:
    The object's minval.

### getAlias

    public java.lang.String getAlias()

  Returns the object's alias.

  Returns:
    The object's alias.

### getType

    public java.lang.String getType()

  Returns the object's data type.

  Returns:
    The object's data type

### getInstance

    public java.lang.String getInstance()

  Returns the instance string associated with the object.

  Returns:
    The instance value associated with the object

### equals

    public boolean equals(java.lang.Object object)

  This method is responsible for comparing this MibObject with the passed Object to determine if they are equivalent. The objects are equivalent if the argument is a MibObject object with the same object identifier, instance, alias and type.

  Parameters:
    `object` - - MibObject to be compared to this object.
  Returns:
    true if the objects are equal, false otherwise.

### toString

    public java.lang.String toString()

  This method is responsible for returning a String object which represents the content of this MibObject. Primarily used for debugging purposes.

  Returns:
    String which represents the content of this MibObject

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.